# Copyright (C) 2022, 2023 Free Software Foundation
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program. If not, see <http://www.gnu.org/licenses/>.

%define __jar_repack %{nil}

Summary: Graphical User Interface for the gprofng profiler.
Name: gprofng-gui
Version: 1.1
Release: 1%{?dist}
License: GPLv3+
URL: https://www.gnu.org/software/gprofng-gui
Source: https://ftp.gnu.org/gnu/gprofng-gui/gprofng-gui-%{version}.tar.gz

# The patches below are backports from upstream
Patch01: 0001-Fix-parfait-warnings.patch
Patch02: 0002-Don-t-show-NULL-message.patch
Patch03: 0003-Applications-cannot-be-profiled.patch
Patch04: 0004-external-terminal-is-not-supported.patch

BuildRequires: autoconf automake make sed coreutils
BuildRequires: java-1.8.0-openjdk-devel

Requires: binutils-gprofng >= 0.2.41
Requires: java-devel tzdata-java

Provides: gprofng-gui = %{version}-%{release}

%description
The GNU gprofng GUI is a feature rich graphical user interface for the GNU
gprofng tool. It makes it possible to interactively analyze and compare gprofng
profiling experiments. Users can drill into an applications profile together
with the applications code to gather an understanding and insight into
what an application is doing throughout it's runtime.

%global debug_package %{nil} 

#----------------------------------------------------------------------------
%prep
%autosetup -p1

#----------------------------------------------------------------------------
%build
%configure
%make_build

#----------------------------------------------------------------------------
%install
%make_install DESTDIR=%{buildroot}

#----------------------------------------------------------------------------
%files
%{_bindir}/gp-display-gui
%{_datadir}/%{name}/gprofng-analyzer.jar
%{_datadir}/%{name}/gprofng-collector.jar
%{_datadir}/%{name}/gprofng.jar
%{_mandir}/man1/gp-*

#----------------------------------------------------------------------------
%changelog
* Wed Jun 26 2024 Vladimir Mezentsev <vladimir.mezentsev@oracle.com> - 1.1-1
- Add Patch04

* Mon Jun 24 2024 Vladimir Mezentsev <vladimir.mezentsev@oracle.com> - 1.1-1
- Add Patch03

* Thu Mar 07 2024 Vladimir Mezentsev <vladimir.mezentsev@oracle.com> - 1.1-1
- Add Patch01, Patch02

* Thu Feb 01 2024 Vladimir Mezentsev <vladimir.mezentsev@oracle.com> - 1.1-1
- Roll VERSION to 1.1

* Tue Jan 02 2024 Vladimir Mezentsev <vladimir.mezentsev@oracle.com> - 1.0-1
- Add Patch04

* Fri Dec 21 2023 Vladimir Mezentsev <vladimir.mezentsev@oracle.com> - 1.0-1
- Add Patch03

* Fri Dec 08 2023 Vladimir Mezentsev <vladimir.mezentsev@oracle.com> - 1.0-1
- Add Patch01, Patch02

* Thu Oct 27 2022 Vladimir Mezentsev <vladimir.mezentsev@oracle.com> - 1.0-1
- First version being package
